---
title: NDEFRecord.id
slug: Web/API/NDEFRecord/id
tags:
  - NDEF
  - NDEFRecord
  - Reference
  - Web NFC
---
<p>{{Draft}}{{securecontext_header}}{{SeeCompatTable}}{{APIRef()}}</p>

<p class="summary"><span class="seoSummary">The <strong><code>id</code></strong> property ofthe {{DOMxRef("NDEFRecord")}} interface is {{DOMxRef("USVString")}} containing the record identifier.</span></p>

<p>This identifier is created by the generator of the record which is solely responsible for enforcing record identifier uniqueness. Web NFC does not sign the NFC content, thus record consumer should not make any assumptions about integrity or authenticity of the identifier or any other part of the records.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>NDEFRecord</em>.id</pre>

<h3 id="Value">Value</h3>

<p>A {{DOMxRef("USVString")}}.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td><a href="https://w3c.github.io/web-nfc/#dom-ndefrecord-id">Web NFC, NDEFRecord</a></td>
   <td>Draft</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.NDEFRecord.id")}}</p>
